package cn.yw.videosyncchannel.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywvideosyncaccountDao")
public class YwvideosyncaccountDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywvideosyncaccount(Map map) throws SQLException{
		this.insert("insert_Ywvideosyncaccount",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideosyncaccount(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideosyncaccount",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideosyncaccount(Map map) throws SQLException{
		return this.update("update_Ywvideosyncaccount",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideosyncaccount(Map map) throws SQLException{
		return this.delete("delete_Ywvideosyncaccount",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Ywvideosyncaccount(Map map) throws SQLException{
		return this.delete("batch_delete_Ywvideosyncaccount",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideosyncaccount(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideosyncaccount",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywvideosyncaccount(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideosyncaccount",map);
	}

	public List<Map> listVideosyncchannelToChannelSet(Map map) throws SQLException{
		return this.queryForPage("listVideosyncchannelToChannelSet",map);
	}
	
	public Integer count_listVideosyncchannelToChannelSet(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_listVideosyncchannelToChannelSet",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideosyncaccount(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideosyncaccount",map);
	}

	/**
	 * 查询全部行政编号
	 */
	public List get_allptxzs(Map map)  throws SQLException{
		return this.queryForList("get_ptxzs",map);
	}

	public List get_ptxzs(Map map)  throws SQLException{
		return this.queryForList("get_ptxzs",map);
	}
}
